Vcenter Compute Policies Capabilities list

Vcenter Compute Policies Capabilities list

Returns information about the compute policy capabilities available in this vCenter server.

This operation was added in vSphere API 7.0.3.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/vcenter/compute/policies/capabilities
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The list of compute policy capabilities available on this vCenter server.

[
    {
        "capability": "string",
        "name": "string",
        "description": "string"
    }
]
array of object
Optional

The Vcenter Compute Policies Capabilities Summary schema contains commonly used information about a compute policy capability.

This schema was added in vSphere API 7.0.3.0.


403

if the user doesn't have the required privileges.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/compute/policies/capabilities